From 0015a110f2bc39600c73e44ad8f3c0412e14da6a Mon Sep 17 00:00:00 2001
From: Andrew Esh <andrew.esh@qterics.com>
Date: Wed, 11 Oct 2017 14:36:02 -0500
Subject: [PATCH 16/25] _common_ Update glib for Android NDK API-26

---
 recipes/glib.recipe | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/recipes/glib.recipe b/recipes/glib.recipe
index f231d6d..fdd553b 100644
--- a/recipes/glib.recipe
+++ b/recipes/glib.recipe
@@ -99,6 +99,15 @@ class Recipe(recipe.Recipe):
             flags += ' -DGST_SDK_GLIB_GIO_OLD_URI_SCHEME_HANDLERS=1'
         return flags
 
+    def configure(self):
+        super(Recipe, self).configure()
+        if self.config.target_platform == Platform.ANDROID:
+            if self.config.target_arch == Architecture.ARM64:
+                if self.config.target_distro_version == DistroVersion.ANDROID_OREO:
+                    shell.replace(os.path.join(self.build_dir, 'config.h'),
+                                  {'#define HAVE_HASMNTOPT 1':
+                                   '/* #undef HAVE_HASMNTOPT */'})
+
     def prepare(self):
         if needs_xcode8_sdk_workaround(self.config):
             self.append_env['ac_cv_func_mkostemp'] = 'no'
-- 
2.15.0

